Subject: Re: JBOSS Interest
From: George Policello <[email-masked]>
To: Scott McCormick <[email-masked]>
Date: Mon, 09 Jul 2012 13:27:28 -0700

Scott,

yes, community version. I usually cannot get a company to pop for
any other version of the tools just for a class. If I am doing a
class for continuing education, the cost is even more of an issue.

Before and after the update, it should have been the community
edition as that was all that was loaded when I fired off the update.

I have no idea how much you want to be involved or if this should be
shuffled off to another person or the web, but I included some
additional information below the signature line in case there should
be more follow up.

There are two images below that should be able to answer your
question. I have never looked to see if Eclipse has a handy way to
print out all the plug-in information. I will have to do that soon,
would not use images if there were.

I wish there were a client that wanted a Drools (JBoss Rules)
course, that would be fun.

Thanks for the follow up.

George

Here is what seems to be one line of
interest from the error.log file in the JBoss created
"Report Problem" ZIP file. I plan to use the web site to post the
ZIP files when I get back to this issue.

!ENTRY org.eclipse.mylyn.tasks.ui 4 0
2012-07-06 12:37:10.821

!MESSAGE Could not load repository template extension
contributed by org.jboss.tools.common.mylyn with connectorKind
jira

Here is a screen shot that shows all the enabled JBoss origin sites
for Eclipse plug-ins/add-ons in this version of Eclipse.

Here is a patch work picture of all the plug-ins/add-ons, mostly
JBoss products.

On
7/9/2012 12:19 PM, Scott McCormick wrote:

Were you using the community version of the tools?

Scott McCormick
Red Hat, Inc.
[email-masked]
919-754-4611

----- Original Message -----
From: "George Policello" <[email-masked]>
To: "Scott McCormick" <[email-masked]>
Sent: Monday, July 9, 2012 1:00:23 PM
Subject: Re: JBOSS Interest

Scott,

I have had some continuing problems in Eclipse after an update that was mainly JBoss Tools files.
I must admit I do not know which part of my attempts to get the problem fixed relates to your note.

Quick Summary

• Everything was working fine in Eclipse
• I updated Eclipse (no new stuff or anything, just updates)
• System error dialogs starting popping up all over the place, they were not coding problem dialogs
• Contacted Eclipse folks

• They were quick to respond and their web sites are easy to navigate and use
• They looked at the log files and said it is probably JBoss Tools incompatibilities (which makes sense given one of the error messages)
• Tried for days to get into the JBoss forums and other places

• This has to be a unique problem since you are probably not inundated with error complaints
• That said, there should not be any "unique" problems when doing a simple Eclipse update
• Also, it should not be so difficult to contact you folks, I tried FireFox, IE9, and Safari to get through on your web pages and could not
• Still have the problems but ignoring them for a few days • Worse , this may not be your problem but, not being able to submit it, stopped any further investigation cold!

We use JBoss when teaching some courses for GE and others. JBoss Tools and JBoss server are used from inside Eclipse and also directly during the attendees' final presentations. However, I had to tell the attendees, this time, that JBoss Tools is currently unreliable just so they would not wonder why I kept getting the error dialogs. I also mentioned that in the past, this never happened. I tried to contact you folks quite a few times but could not get registered in the JBoss system that allows me to ask for help. Eventually, I managed to hit an email address where the person at the other end could register me but your site could not. Unfortunately, the registration happened after I had to go into the course room.

I got tired of trying to submit the problem and just started doing other work. I do not have another class for a week, holiday, so I decided to ignore the frustration of dealing with your web systems at the moment. I will get around to using the registration in a day or so. I have lots of ZIP files produced by the JBoss Tools "Eclipse: Help => Report Problem" menu item that I plan on sending. I really like JBoss and this was quite a disappointment for me.

Thank you for the response and sorry I could not be of more help when trying to answer your questions,
George Policello

On 7/9/2012 9:21 AM, Scott McCormick wrote:

George,

I wanted to send this email over to you because the number we have is invalid. You had inquired about some of our JBOSS products and I wanted to see if that was still something of interest to you at this time or not? Let me know either way please.

Thanks,

Scott McCormick
Red Hat, Inc.
919-754-4611
[email-masked]